// Garden Gnome Software - Skin
// Pano2VR 5.2.3/15990
// Filename: ggnome.ggsk
// Generated Thu Mar 8 14:13:27 2018

function pano2vrSkin(player,base) {
	var ggSkinVars = [];
	ggSkinVars['vis_hotspot_images'] = 0;
	var me=this;
	var flag=false;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	this.ggUserdata=me.player.userdata;
	this.lastSize={ w: -1,h: -1 };
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=[];
	this.elementMouseOver=[];
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	if (typeof document.body.style['transform'] == 'undefined') {
		for(var i=0;i<prefixes.length;i++) {
			if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
				cssPrefix='-' + prefixes[i].toLowerCase() + '-';
				domTransition=prefixes[i] + 'Transition';
				domTransform=prefixes[i] + 'Transform';
			}
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=[];
		stack.push(startElement);
		while(stack.length>0) {
			var e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=[];
		var stack=[];
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			var e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		var hs='';
		this.ggCurrentTime=new Date().getTime();
		this._meals_menu=document.createElement('div');
		this._meals_menu.ggId="Meals menu";
		this._meals_menu.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._meals_menu.ggVisible=true;
		this._meals_menu.className='ggskin ggskin_container ';
		this._meals_menu.ggType='container';
		hs ='';
		hs+='height : 20px;';
		hs+='left : 458px;';
		hs+='opacity : 0;';
		hs+='position : absolute;';
		hs+='top : 96px;';
		hs+='visibility : hidden;';
		hs+='width : 100px;';
		hs+='pointer-events:none;';
		this._meals_menu.setAttribute('style',hs);
		this._meals_menu.style[domTransform + 'Origin']='50% 50%';
		me._meals_menu.ggIsActive=function() {
			return false;
		}
		me._meals_menu.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		this._meals_menu.ggUpdatePosition=function (useTransition) {
		}
		this._background=document.createElement('div');
		this._background.ggId="background";
		this._background.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._background.ggVisible=true;
		this._background.className='ggskin ggskin_rectangle ';
		this._background.ggType='rectangle';
		hs ='';
		hs+='background : #ffffff;';
		hs+='border : 1px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 112px;';
		hs+='left : -4px;';
		hs+='position : absolute;';
		hs+='top : -25px;';
		hs+='visibility : inherit;';
		hs+='width : 116px;';
		hs+='pointer-events:auto;';
		this._background.setAttribute('style',hs);
		this._background.style[domTransform + 'Origin']='50% 50%';
		me._background.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._background.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._background.ggUpdatePosition=function (useTransition) {
		}
		this._meals_menu.appendChild(this._background);
		this._meal_3_button=document.createElement('div');
		this._meal_3_button__text=document.createElement('div');
		this._meal_3_button.className='ggskin ggskin_textdiv';
		this._meal_3_button.ggTextDiv=this._meal_3_button__text;
		this._meal_3_button.ggId="meal 3 button";
		this._meal_3_button.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._meal_3_button.ggVisible=true;
		this._meal_3_button.className='ggskin ggskin_text ';
		this._meal_3_button.ggType='text';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 27px;';
		hs+='left : 11px;';
		hs+='position : absolute;';
		hs+='top : 47px;';
		hs+='visibility : inherit;';
		hs+='width : 81px;';
		hs+='pointer-events:auto;';
		this._meal_3_button.setAttribute('style',hs);
		this._meal_3_button.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 81px;';
		hs+='height: 27px;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._meal_3_button__text.setAttribute('style',hs);
		this._meal_3_button__text.innerHTML="Meal 3";
		this._meal_3_button.appendChild(this._meal_3_button__text);
		me._meal_3_button.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._meal_3_button.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._meal_3_button.onclick=function (e) {
			ggSkinVars['vis_hotspot_images'] = Number("2");
		}
		this._meal_3_button.ggUpdatePosition=function (useTransition) {
		}
		this._meals_menu.appendChild(this._meal_3_button);
		this._meal_2_button=document.createElement('div');
		this._meal_2_button__text=document.createElement('div');
		this._meal_2_button.className='ggskin ggskin_textdiv';
		this._meal_2_button.ggTextDiv=this._meal_2_button__text;
		this._meal_2_button.ggId="meal 2 button";
		this._meal_2_button.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._meal_2_button.ggVisible=true;
		this._meal_2_button.className='ggskin ggskin_text ';
		this._meal_2_button.ggType='text';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 27px;';
		hs+='left : 11px;';
		hs+='position : absolute;';
		hs+='top : 17px;';
		hs+='visibility : inherit;';
		hs+='width : 81px;';
		hs+='pointer-events:auto;';
		this._meal_2_button.setAttribute('style',hs);
		this._meal_2_button.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 81px;';
		hs+='height: 27px;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._meal_2_button__text.setAttribute('style',hs);
		this._meal_2_button__text.innerHTML="Meal 2";
		this._meal_2_button.appendChild(this._meal_2_button__text);
		me._meal_2_button.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._meal_2_button.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._meal_2_button.onclick=function (e) {
			ggSkinVars['vis_hotspot_images'] = Number("1");
		}
		this._meal_2_button.ggUpdatePosition=function (useTransition) {
		}
		this._meals_menu.appendChild(this._meal_2_button);
		this._meal_1_button=document.createElement('div');
		this._meal_1_button__text=document.createElement('div');
		this._meal_1_button.className='ggskin ggskin_textdiv';
		this._meal_1_button.ggTextDiv=this._meal_1_button__text;
		this._meal_1_button.ggId="meal 1 button";
		this._meal_1_button.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._meal_1_button.ggVisible=true;
		this._meal_1_button.className='ggskin ggskin_text ';
		this._meal_1_button.ggType='text';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 27px;';
		hs+='left : 11px;';
		hs+='position : absolute;';
		hs+='top : -13px;';
		hs+='visibility : inherit;';
		hs+='width : 81px;';
		hs+='pointer-events:auto;';
		this._meal_1_button.setAttribute('style',hs);
		this._meal_1_button.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 81px;';
		hs+='height: 27px;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._meal_1_button__text.setAttribute('style',hs);
		this._meal_1_button__text.innerHTML="Meal 1";
		this._meal_1_button.appendChild(this._meal_1_button__text);
		me._meal_1_button.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._meal_1_button.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._meal_1_button.onclick=function (e) {
			ggSkinVars['vis_hotspot_images'] = Number("0");
		}
		this._meal_1_button.ggUpdatePosition=function (useTransition) {
		}
		this._meals_menu.appendChild(this._meal_1_button);
		this.divSkin.appendChild(this._meals_menu);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.ggHotspotCallChildFunctions=function(functionname) {
		var stack = me.player.getCurrentPointHotspots();
		while (stack.length > 0) {
			var e = stack.pop();
			if (typeof e[functionname] == 'function') {
				e[functionname]();
			}
			if(e.hasChildNodes()) {
				for(var i=0; i<e.childNodes.length; i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	this.changeActiveNode=function(id) {
		me.ggUserdata=me.player.userdata;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		me.ggCurrentTime=new Date().getTime();
		me.ggHotspotCallChildFunctions('ggUpdateConditionTimer');
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		var nodeId=String(hotspot.url);
		nodeId=(nodeId.charAt(0)=='{')?nodeId.substr(1, nodeId.length - 2):'';
		this.ggUserdata=this.skin.player.getNodeUserdata(nodeId);
		this.elementMouseDown=[];
		this.elementMouseOver=[];
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId="Hotspot 1";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot ';
			this.__div.ggType='hotspot';
			hs ='';
			hs+='cursor : pointer;';
			hs+='height : 5px;';
			hs+='left : 316px;';
			hs+='position : absolute;';
			hs+='top : 230px;';
			hs+='visibility : inherit;';
			hs+='width : 5px;';
			hs+='pointer-events:auto;';
			this.__div.setAttribute('style',hs);
			this.__div.style[domTransform + 'Origin']='50% 50%';
			me.__div.ggIsActive=function() {
				return me.player.getCurrentNode()==this.ggElementNodeId();
			}
			me.__div.ggElementNodeId=function() {
				return me.hotspot.url.substr(1, me.hotspot.url.length - 2);
			}
			this.__div.onclick=function (e) {
				var flag=me.skin._meals_menu.ggOpacitiyActive;
				if (me.player.transitionsDisabled) {
					me.skin._meals_menu.style[domTransition]='none';
				} else {
					me.skin._meals_menu.style[domTransition]='all 500ms ease-out 0ms';
				}
				if (flag) {
					me.skin._meals_menu.style.opacity='0';
					me.skin._meals_menu.style.visibility='hidden';
				} else {
					me.skin._meals_menu.style.opacity='1';
					me.skin._meals_menu.style.visibility=me.skin._meals_menu.ggVisible?'inherit':'hidden';
				}
				me.skin._meals_menu.ggOpacitiyActive=!flag;
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function (e) {
				me.player.setActiveHotspot(me.hotspot);
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function (e) {
				me.player.setActiveHotspot(null);
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this.__div.ggUpdatePosition=function (useTransition) {
			}
			this._meal_3=document.createElement('div');
			this._meal_3.ggId="meal 3";
			this._meal_3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._meal_3.ggVisible=false;
			this._meal_3.className='ggskin ggskin_rectangle ';
			this._meal_3.ggType='rectangle';
			hs ='';
			hs+='background : #aa0000;';
			hs+='border : 1px solid #000000;';
			hs+='cursor : default;';
			hs+='height : 51px;';
			hs+='left : -42px;';
			hs+='position : absolute;';
			hs+='top : -26px;';
			hs+='visibility : hidden;';
			hs+='width : 93px;';
			hs+='pointer-events:auto;';
			this._meal_3.setAttribute('style',hs);
			this._meal_3.style[domTransform + 'Origin']='50% 50%';
			me._meal_3.ggIsActive=function() {
				if ((this.parentNode) && (this.parentNode.ggIsActive)) {
					return this.parentNode.ggIsActive();
				}
				return false;
			}
			me._meal_3.ggElementNodeId=function() {
				if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
					return this.parentNode.ggElementNodeId();
				}
				return me.ggNodeId;
			}
			me._meal_3.ggCurrentLogicStateVisible = -1;
			this._meal_3.ggUpdateConditionTimer=function () {
				var newLogicStateVisible;
				if (
					(ggSkinVars['vis_hotspot_images'] == 2)
				)
				{
					newLogicStateVisible = 0;
				}
				else {
					newLogicStateVisible = -1;
				}
				if (me._meal_3.ggCurrentLogicStateVisible != newLogicStateVisible) {
					me._meal_3.ggCurrentLogicStateVisible = newLogicStateVisible;
					me._meal_3.style[domTransition]='';
					if (me._meal_3.ggCurrentLogicStateVisible == 0) {
						me._meal_3.style.visibility=(Number(me._meal_3.style.opacity)>0||!me._meal_3.style.opacity)?'inherit':'hidden';
						me._meal_3.ggVisible=true;
					}
					else {
						me._meal_3.style.visibility="hidden";
						me._meal_3.ggVisible=false;
					}
				}
			}
			this._meal_3.ggUpdatePosition=function (useTransition) {
			}
			this.__div.appendChild(this._meal_3);
			this._meal_2=document.createElement('div');
			this._meal_2.ggId="meal 2";
			this._meal_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._meal_2.ggVisible=false;
			this._meal_2.className='ggskin ggskin_rectangle ';
			this._meal_2.ggType='rectangle';
			hs ='';
			hs+='background : #55aaff;';
			hs+='border : 1px solid #000000;';
			hs+='cursor : default;';
			hs+='height : 51px;';
			hs+='left : -42px;';
			hs+='position : absolute;';
			hs+='top : -26px;';
			hs+='visibility : hidden;';
			hs+='width : 93px;';
			hs+='pointer-events:auto;';
			this._meal_2.setAttribute('style',hs);
			this._meal_2.style[domTransform + 'Origin']='50% 50%';
			me._meal_2.ggIsActive=function() {
				if ((this.parentNode) && (this.parentNode.ggIsActive)) {
					return this.parentNode.ggIsActive();
				}
				return false;
			}
			me._meal_2.ggElementNodeId=function() {
				if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
					return this.parentNode.ggElementNodeId();
				}
				return me.ggNodeId;
			}
			me._meal_2.ggCurrentLogicStateVisible = -1;
			this._meal_2.ggUpdateConditionTimer=function () {
				var newLogicStateVisible;
				if (
					(ggSkinVars['vis_hotspot_images'] == 1)
				)
				{
					newLogicStateVisible = 0;
				}
				else {
					newLogicStateVisible = -1;
				}
				if (me._meal_2.ggCurrentLogicStateVisible != newLogicStateVisible) {
					me._meal_2.ggCurrentLogicStateVisible = newLogicStateVisible;
					me._meal_2.style[domTransition]='';
					if (me._meal_2.ggCurrentLogicStateVisible == 0) {
						me._meal_2.style.visibility=(Number(me._meal_2.style.opacity)>0||!me._meal_2.style.opacity)?'inherit':'hidden';
						me._meal_2.ggVisible=true;
					}
					else {
						me._meal_2.style.visibility="hidden";
						me._meal_2.ggVisible=false;
					}
				}
			}
			this._meal_2.ggUpdatePosition=function (useTransition) {
			}
			this.__div.appendChild(this._meal_2);
			this._meal_1=document.createElement('div');
			this._meal_1.ggId="meal 1";
			this._meal_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._meal_1.ggVisible=false;
			this._meal_1.className='ggskin ggskin_rectangle ';
			this._meal_1.ggType='rectangle';
			hs ='';
			hs+='background : #ffffff;';
			hs+='border : 1px solid #000000;';
			hs+='cursor : default;';
			hs+='height : 51px;';
			hs+='left : -42px;';
			hs+='position : absolute;';
			hs+='top : -26px;';
			hs+='visibility : hidden;';
			hs+='width : 93px;';
			hs+='pointer-events:auto;';
			this._meal_1.setAttribute('style',hs);
			this._meal_1.style[domTransform + 'Origin']='50% 50%';
			me._meal_1.ggIsActive=function() {
				if ((this.parentNode) && (this.parentNode.ggIsActive)) {
					return this.parentNode.ggIsActive();
				}
				return false;
			}
			me._meal_1.ggElementNodeId=function() {
				if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
					return this.parentNode.ggElementNodeId();
				}
				return me.ggNodeId;
			}
			me._meal_1.ggCurrentLogicStateVisible = -1;
			this._meal_1.ggUpdateConditionTimer=function () {
				var newLogicStateVisible;
				if (
					(ggSkinVars['vis_hotspot_images'] == 0)
				)
				{
					newLogicStateVisible = 0;
				}
				else {
					newLogicStateVisible = -1;
				}
				if (me._meal_1.ggCurrentLogicStateVisible != newLogicStateVisible) {
					me._meal_1.ggCurrentLogicStateVisible = newLogicStateVisible;
					me._meal_1.style[domTransition]='';
					if (me._meal_1.ggCurrentLogicStateVisible == 0) {
						me._meal_1.style.visibility=(Number(me._meal_1.style.opacity)>0||!me._meal_1.style.opacity)?'inherit':'hidden';
						me._meal_1.ggVisible=true;
					}
					else {
						me._meal_1.style.visibility="hidden";
						me._meal_1.ggVisible=false;
					}
				}
			}
			this._meal_1.ggUpdatePosition=function (useTransition) {
			}
			this.__div.appendChild(this._meal_1);
			this.ggUse3d=true;
			this.gg3dDistance=500;
			this.hotspotTimerEvent=function() {
				setTimeout(function() { me.hotspotTimerEvent(); }, 10);
				me._meal_3.ggUpdateConditionTimer();
				me._meal_2.ggUpdateConditionTimer();
				me._meal_1.ggUpdateConditionTimer();
			}
			this.hotspotTimerEvent();
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};